# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Parabola Class Reference

`#include <PGeom2d_Parabola.hxx>`

Inheritance diagram for PGeom2d_Parabola:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom2d_Parabola ()
| Creates a parabola with default values. .
Standard_EXPORT | PGeom2d_Parabola (const gp_Ax22d &aPosition, const Standard_Real aFocalLength)
| Creates a Parabola with <aposition> and <afocallength> as field values. .
Standard_EXPORT void | FocalLength (const Standard_Real aFocalLength)
| Set the value of the field focalLength with <afocallength>. .
Standard_EXPORT Standard_Real | FocalLength () const
| Retruns the value of the field focalLength. .
| PGeom2d_Parabola (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom2d_ParabolafocalLength () const
void | _CSFDB_SetPGeom2d_ParabolafocalLength (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | focalLength

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_Parabola::PGeom2d_Parabola | ( |  | ) |

Standard_EXPORT PGeom2d_Parabola::PGeom2d_Parabola | ( | const gp_Ax22d & | aPosition,
|  | const Standard_Real | aFocalLength
| ) |

PGeom2d_Parabola::PGeom2d_Parabola | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom2d_Parabola::_CSFDB_GetPGeom2d_ParabolafocalLength | ( |  | ) | const`[inline]`

void PGeom2d_Parabola::_CSFDB_SetPGeom2d_ParabolafocalLength | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT Standard_Real PGeom2d_Parabola::FocalLength | ( |  | ) | const

Standard_EXPORT void PGeom2d_Parabola::FocalLength | ( | const Standard_Real | aFocalLength | ) |

Standard_EXPORT const PGeom2d_Parabola::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Conic.

## Field Documentation

Standard_Real PGeom2d_Parabola::focalLength `[private]`

The documentation for this class was generated from the following file:

- PGeom2d_Parabola.hxx